<!ENTITY % URI "CDATA">
    <!-- a Uniform Resource Identifier, see [RFC2396] -->

<!ENTITY % Inline "(#PCDATA | link | pre | em | dl | image )*">

<!ELEMENT page ((news)|(p|pre|dl|ul|ol)+)>
<!ATTLIST page
  title     CDATA   #IMPLIED
  pagetitle CDATA   #IMPLIED
  >

<!ELEMENT news (newsfile)+>
<!ELEMENT newsfile (#PCDATA)>

<!ELEMENT item ((image)?, (p|pre|addendum)+)>
<!ATTLIST item
  title     CDATA   #REQUIRED
  date      CDATA   #REQUIRED
  author    CDATA   #REQUIRED
  category  CDATA   #REQUIRED
  >

<!ELEMENT addendum (p|pre|dl|ul|ol)*>

<!ELEMENT p %Inline;>
<!ATTLIST p
  class     CDATA   #IMPLIED
  >

<!ELEMENT link (#PCDATA)>
<!ATTLIST link
  href      %URI;   #IMPLIED
  title     CDATA   #IMPLIED
  >

<!ELEMENT image (#PCDATA)>
<!ATTLIST image
  title     CDATA   #REQUIRED
  >

<!ELEMENT pre (#PCDATA)>
<!ATTLIST pre
  xml:space (preserve) #FIXED 'preserve'
  >

<!ELEMENT em (#PCDATA)>

<!ELEMENT dl ((dh)?,(dt|dd)+)>

<!ELEMENT dh %Inline;>
<!ELEMENT dt %Inline;>
<!ELEMENT dd %Inline;>

<!ELEMENT ul ((li)+)>
<!ELEMENT ol ((li)+)>

<!ELEMENT li %Inline;>

